﻿@model CharitableModel
@{
    var charitablitems = ViewBag.charitableItems;
}
<form asp-action="saveCharitableAmbitions" class="form fv-plugins-bootstrap fv-plugins-framework" id="charitableAmbition_form" method="post" data-ajax="true" data-ajax-begin="onFormBegin" data-ajax-complete="onFormCompleteWithWizard">
    <button id="btn-save-exit-hidden" class="d-none"></button>
    <h4 class="text-dark font-weight-bold mt-2 mb-5 mr-5">  Let's review some Charitable Planning information</h4>
    <div class="wizard-content-height">
        <div class="col-12 mb-2">
            <div class="form-group mb-2 row">
                <label class="w-xl-350px col-form-label">How much of your estate do you want to give?</label>
                <div class="min-w-120px ml-2">
                    <select class="form-control form-control-sm" asp-for="CharitableEstateEnum" asp-items="EnumHelper.GetEnumSelectList<CharitableEstateEnum>()">
                    </select>
                </div>
            </div>
        </div>
        <div class="form-group mb-2">
            <label class="col-form-label font-weight-bold">What is the intent of the donation? (check all that apply)</label>
            <div class="checkbox-list">
                @for (int i = 0; i < Model.CharitablerList.Count(); i++)
                {
                    <input type="hidden" asp-for="@Model.CharitablerList[i].Value" />
                    <input type="hidden" asp-for="@Model.CharitablerList[i].Text" />
                    <div class="d-flex">
                        <div class="mr-2">
                            <label class="checkbox checkbox-outline checkbox-primary">
                                <input asp-for="@Model.CharitablerList[i].Selected" />
                                <span></span>
                            </label>
                        </div>
                        <label asp-for="@Model.CharitablerList[i].Selected">
                            @Model.CharitablerList[i].Text
                        </label>
                    </div>
                }
            </div>
        </div>
        <div class="form-group mb-2">
            <label class="col-form-label font-weight-bold">When do you plan for the organization, charity, or private foundation to receive the gift?</label>
            <div class="radio-inline mb-2">
                @foreach (var item in Html.GetEnumSelectList<CharitableGiftEnum>())
                {
                    <label class="radio radio-outline radio-outline-2x radio-primary">
                        <input type="radio" asp-for="CharitableGiftEnum" checked="@(item.Value == ((int)Model.CharitableGiftEnum).ToString() ? "checked" : null)" value="@item.Value">
                        <span></span>
                        @item.Text
                    </label>
                }
            </div>
            <span asp-validation-for="CharitableGiftEnum" class="text-danger mt-1"></span>
        </div>
    </div>
    <partial name="_WizardFooter" />
</form>
<script>
    $("#charitableAmbition_form").submit(function(e) {
        $(".alert").remove();
        e.preventDefault();
        if ($("#charitableAmbition_form").valid())
            return true;
        else {
            _showFormMessage("charitableAmbition_form", "danger", "Provide information in all required fields.", "fas fa-exclamation-triangle");
            return false;
        }
    });
</script>